Clear person avatar

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
DELETE /actions/persons/{person_id}/clear-avatar

Set has_avatar flag to False for current user and remove its avatar file.

Path parameters

  • person_id string(uuid) Required

    Person unique identifier

Responses

  • 204

    Avatar file deleted

DELETE /actions/persons/{person_id}/clear-avatar
curl -X DELETE "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/clear-avatar" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/clear-avatar"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.delete(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request DELETE 'http://api.example.com/actions/persons/a24a6ea4-ce75-4665-a070-57453082c25/clear-avatar' \
 --header "Authorization: $API_KEY"